package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yangcan
 * 类描述:
 * 创建时间:2019/7/23 15:52
 */
public class ChangeRoleReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "userId", value = "用户userId", required = true)
    @NotBlank
    private String userId;

    @ApiModelProperty(name = "roleType", value = "老师角色类型 1：在线批改老师 ，2：在馆老师 ，3：机构老师 , 4:机构自批改老师", required = true)
    @NotBlank
    private String roleType;

    public String getUserId() { 
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }
}
